Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface ProcessMigrationResult

All Superinterfaces:
  java.io.Serializable

public interface ProcessMigrationResult
extends java.io.Serializable

This interface defines the results of a process migration.

A process migration is a user operation that needs Interstage BPM administration privileges. The migration is started by calling `WFAdminSession.migrateProcess` and the returned `ProcessMigrationResult` represents the result of that migration. As process migration is a batch job, so at the end of the operation, some or all process instances will be successfully migrated.

The user can iterate through the `ProcessMigrationResult` to see which process instances were successfully migrated and which were not. If the migration was not successful the reason for this failure is shown.

See Also:
  `WFAdminSession`, `ProcessInstance`

Method Summary
`long[]` | `getAllProcessId()` Returns the list of process instance unique identifiers that are considered for editing.
`java.lang.Exception` | `getException(long piId)` Returns the exception of the specified process instance generated for the failure of edit operation in that process.
`java.lang.String` | `getProcessName(long piId)` Returns the process instance's name of the given ID.
`int` | `getProcessState(long piId)` Returns the current state of the process instance specified by the supplied id.
`long` | `getTemplateId(long piId)` Returns the unique identifier of the process definition the specified process instance belongs to.
`boolean` | `isDataSetModified()` Deprecated. It can not be generalized if the data set of all migrated process instances changed because the process instances can belong to different process definitions before the migration.
`boolean` | `isStructureModified()` Deprecated. It can not be generalized if the structure changed of all migrated process instances because the process instances can belong to different process definitions before the migration.
`boolean` | `isSuccess(long piId)` Returns if the process instance of the given ID is successful in editing.

Method Detail

### isStructureModified

    public boolean isStructureModified()

  Deprecated. It can not be generalized if the structure changed of all migrated process instances because the process instances can belong to different process definitions before the migration.

  Indicates if the structure of the migrated process instance has been modified.

  Returns:
    `true` if the stucture is modified; `false` otherwise

### isDataSetModified

    public boolean isDataSetModified()

  Deprecated. It can not be generalized if the data set of all migrated process instances changed because the process instances can belong to different process definitions before the migration.

  Indicates if the set of data items of the process instance has been modified.

  Returns:
    `true` if the data set is modified; `false` otherwise

### getAllProcessId

    public long[] getAllProcessId()

  Returns the list of process instance unique identifiers that are considered for editing.

  Returns:
    An array of process instance IDs.

### isSuccess

    public boolean isSuccess(long piId)

  Returns if the process instance of the given ID is successful in editing.

  Parameters:
    `piId` - The unique identifier of the process instance to be controlled.
  Returns:
    `true` if editing is successful; `false` if editing is not successful or if the specified process instance does not exist.

### getProcessName

    public java.lang.String getProcessName(long piId)

  Returns the process instance's name of the given ID.

  Parameters:
    `piId` - The unique identifier of the process instance to be controlled.
  Returns:
    The name of specified process instance or `null` if no process instance exists for the specified ID.

### getProcessState

    public int getProcessState(long piId)

  Returns the current state of the process instance specified by the supplied id. The possible states are defined in the `ProcessInstance` interface by constants such as `STATE_RUNNING`.

  Returns:
    The integer constant specifying the current state of the process instance. Returns -1 if there is no process instance for the specified Id.

### getException

    public java.lang.Exception getException(long piId)

  Returns the exception of the specified process instance generated for the failure of edit operation in that process.

  Parameters:
    `piId` - The unique identifier of the process instance whose exception shall be returned.
  Returns:
    The `Exception` generated for the failure of edit operation in specified process instance, or `null` if no exception was generated or if no process instance with the specified id exists.

### getTemplateId

    public long getTemplateId(long piId)

  Returns the unique identifier of the process definition the specified process instance belongs to.

  Parameters:
    `piId` - The unique identifier of the process instance whose process definition id shall be returned.
  Returns:
    Id of process definition the process instance belongs to. Returns -1 if there is no process instance for the specified Id.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD